path <- '/esarchive/scratch/molmo/shiny_app/'

library(shiny)
# library(shinythemes)

# variable, season

ui <- fluidPage(title = 'ETCCDI indices: future projections',
                # titlePanel('C3S_34c (WP1)'),
                #theme = shinytheme('paper'),
                #shinythemes::themeSelector(),
                #  headerPanel(list(HTML('<img src="c3s_logo.png" 
                # # alt="C3S logo" width="120" height="50"/>'),
                #  #                  HTML('<img src="bsc_logo.jpg" 
                # alt="BSC logo" width="58" height="50"/>'),
                #  #                  HTML('<img src="dwd_logo.jpg" 
                # alt="BSC logo" width="58" height="50"/>'),
                #  #                  HTML('<img src="metoffice_logo.gif" 
                # alt="BSC logo" width="72" height="65"/>'),
                #  #                  HTML('<img src="cmcc_logo.png" 
                # alt="BSC logo" width="62" height="55"/>'),
                #  #                  HTML('<H3> C3S_34c - Indices figures 
                # </H3>'))),
                   windowTitle='Index',
                 sidebarPanel(
                   width = 3,
                   checkboxGroupInput(inputId = 'Type', label = 'Type',
                                      choices = c("AnnualIndices","SeasonalIndices"),
                                      inline = F, width = '100%'),
                   checkboxGroupInput(inputId = 'Scenario', label = 'Scenario',
                                      choices = c("ssp126","ssp245","ssp585","multiple"),
                                      inline = FALSE, width = '100%'),
                  checkboxGroupInput(inputId = 'Region', label = 'Region',choices = c("EuroMediterranean","Catalonia"),
                   inline = FALSE, width = '100%'),

                   sliderInput(inputId = 'size', label = 'Plot size (%)',
                               min = 0, max = 200, step = 1, value = 100,
                               round = TRUE, animate = FALSE, ticks = TRUE)
                 ),
                 mainPanel(
                   imageOutput(outputId = 'plot')
                 )
)

server <- function(input, output) {

   output$plot <- renderImage({
    
     if (!is.null(input$Type)){
       if (input$Type == 'AnnualIndices'){
         Type = 'AnnualIndices'
       } else if (input$Type == 'SeasonalIndices'){
         Type = 'SeasonalIndices'
       } 

     } else {variable = NULL}

     if (!is.null(input$Scenario)){
       if(input$Scenario == 'ssp126'){
         Scenario = 'ssp126'
       } else if (input$Scenario == 'ssp245'){
         Scenario = 'ssp245'
       } else if (input$Scenario == 'ssp585'){
         Scenario = 'ssp585'
       } else if (input$Scenario == 'multiple'){
          Scenario = 'multiple'
       }
     } else {Scenario = NULL}
      
      if (!is.null(input$Region)){
         if (input$Region == 'EuroMediterranean'){
            Region = 'EuroMediterranean'
         } else if (input$Region == 'Catalonia'){
            Region = 'Catalonia'
         } 
         
      } else {Region = NULL}

     filename <- 
paste0('/esarchive/scratch/molmo/CLIMCAT_MJ/OUTPUTS/',Type,'_TimeSeries_CMIP6_',Region,'_Historical+',Scenario,'.png')
     print(filename)
     return(list(src = filename,
                 width = paste0(input$size,'%'),
                 alt = 'Please select one or more options for each
category on the left panel')
            )
   }, deleteFile = FALSE)


}

shinyApp(ui = ui, server = server)

